Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Method_Request_Shutdown Class Reference

Shutdown message for the ThreadPool_Task. More...

`#include <Method_Request_Shutdown.h>`

Inheritance diagram for TAO_Notify_Method_Request_Shutdown:

[legend]
Collaboration diagram for TAO_Notify_Method_Request_Shutdown:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Method_Request_Shutdown (TAO_Notify_ThreadPool_Task *task)
| Constuctor.
| ~TAO_Notify_Method_Request_Shutdown ()
| Destructor.
TAO_Notify_Method_Request * | copy (void)
| Create a copy of this object.
virtual int | execute (ACE_ENV_SINGLE_ARG_DECL)
| Execute the Request.
## Private Attributes
TAO_Notify_ThreadPool_Task * | task_

## Detailed Description

Shutdown message for the ThreadPool_Task.

## Constructor & Destructor Documentation

TAO_Notify_Method_Request_Shutdown::TAO_Notify_Method_Request_Shutdown | ( | TAO_Notify_ThreadPool_Task * | task | ) |

| Constuctor.

TAO_Notify_Method_Request_Shutdown::~TAO_Notify_Method_Request_Shutdown | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_Notify_Method_Request * TAO_Notify_Method_Request_Shutdown::copy | ( | void |  | ) |

| Create a copy of this object.

int TAO_Notify_Method_Request_Shutdown::execute | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Execute the Request. Implements TAO_Notify_Method_Request.

## Member Data Documentation

TAO_Notify_ThreadPool_Task* TAO_Notify_Method_Request_Shutdown::task_`[private]`

The documentation for this class was generated from the following files:

- Method_Request_Shutdown.h
- Method_Request_Shutdown.cpp